	.reference	___bb_blitz_blitz
	.reference	___bb_imports_constants
	.reference	_bbGCFree
	.reference	_bbNullObject
	.reference	_bbObjectClass
	.reference	_bbObjectCompare
	.reference	_bbObjectCtor
	.reference	_bbObjectFree
	.reference	_bbObjectRegisterType
	.reference	_bbObjectReserved
	.reference	_bbObjectSendMessage
	.reference	_bbObjectToString
	.reference	_bbOnDebugEnterScope
	.reference	_bbOnDebugEnterStm
	.reference	_bbOnDebugLeaveScope
	.reference	_brl_blitz_NullMethodError
	.reference	_brl_blitz_NullObjectError
	.globl	___bb_imports_entity
	.globl	__bb_TEntity_Delete
	.globl	__bb_TEntity_New
	.globl	__bb_TEntity_addToListDepthSorted
	.globl	__bb_TEntity_checkCollisions
	.globl	__bb_TEntity_clear
	.globl	__bb_TEntity_deactivate
	.globl	__bb_TEntity_drawShadow
	.globl	__bb_TEntity_gFirst
	.globl	__bb_TEntity_gLast
	.globl	__bb_TEntity_gMaxZ
	.globl	__bb_TEntity_gMinZ
	.globl	__bb_TEntity_getSpeed
	.globl	__bb_TEntity_hittable
	.globl	__bb_TEntity_init
	.globl	__bb_TEntity_isCar
	.globl	__bb_TEntity_isHuman
	.globl	__bb_TEntity_isOil
	.globl	__bb_TEntity_isTunnelStart
	.globl	__bb_TEntity_receiveHit
	.globl	__bb_TEntity_removeAll
	.globl	__bb_TEntity_removeFromList
	.globl	__bb_TEntity_removeInactive
	.globl	__bb_TEntity_setInTunnel
	.globl	__bb_TEntity_setSegmentDX
	.globl	__bb_TEntity_setSegmentDY
	.globl	__bb_TEntity_setSlope
	.globl	__bb_TEntity_update
	.globl	__bb_TEntity_updateAll
	.globl	__bb_TEntity_updateDepthSort
	.globl	__bb_TEntity_updateDepthSortAll
	.globl	__bb_TEntity_updateDepthSortDown
	.globl	__bb_TEntity_updateDepthSortUp
	.globl	_bb_TEntity
	.text	
___bb_imports_entity:
	push	%ebp
	mov	%esp,%ebp
	push	%ebx
	sub	$20,%esp
	cmpl	$0,_186
	je	_187
	mov	$0,%eax
	add	$20,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
_187:
	movl	$1,_186
	movl	%ebp,4(%esp)
	movl	$_184,(%esp)
	calll	*_bbOnDebugEnterScope
	call	___bb_blitz_blitz
	call	___bb_imports_constants
	movl	$_179,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$_181,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$_182,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$_183,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$_bb_TEntity,(%esp)
	call	_bbObjectRegisterType
	mov	$0,%ebx
	jmp	_83
_83:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$20,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TEntity_New:
	push	%ebp
	mov	%esp,%ebp
	sub	$4,%esp
	push	%ebx
	sub	$16,%esp
	movl	8(%ebp),%eax
	movl	%eax,-4(%ebp)
	movl	%ebp,4(%esp)
	movl	$_194,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	-4(%ebp),%eax
	movl	%eax,(%esp)
	call	_bbObjectCtor
	movl	-4(%ebp),%eax
	movl	$_bb_TEntity,(%eax)
	movl	-4(%ebp),%eax
	movl	$0,8(%eax)
	movl	-4(%ebp),%eax
	movl	$0,12(%eax)
	movl	-4(%ebp),%eax
	fldz
	fstps	16(%eax)
	movl	-4(%ebp),%eax
	fldz
	fstps	20(%eax)
	movl	-4(%ebp),%eax
	fldz
	fstps	24(%eax)
	movl	-4(%ebp),%eax
	fldz
	fstps	28(%eax)
	movl	-4(%ebp),%eax
	fldz
	fstps	32(%eax)
	movl	-4(%ebp),%eax
	fldz
	fstps	36(%eax)
	movl	-4(%ebp),%eax
	fldz
	fstps	40(%eax)
	movl	-4(%ebp),%eax
	fldz
	fstps	44(%eax)
	movl	-4(%ebp),%eax
	fldz
	fstps	48(%eax)
	movl	-4(%ebp),%eax
	fldz
	fstps	52(%eax)
	mov	$_bbNullObject,%edx
	incl	4(%edx)
	movl	-4(%ebp),%eax
	movl	%edx,56(%eax)
	mov	$_bbNullObject,%edx
	incl	4(%edx)
	movl	-4(%ebp),%eax
	movl	%edx,60(%eax)
	movl	%ebp,4(%esp)
	movl	$_193,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_190,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_192
	call	_brl_blitz_NullObjectError
_192:
	movl	%ebx,(%esp)
	movl	(%ebx),%eax
	calll	*76(%eax)
	calll	*_bbOnDebugLeaveScope
	mov	$0,%ebx
	jmp	_86
_86:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$16,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TEntity_Delete:
	push	%ebp
	mov	%esp,%ebp
	push	%ebx
	sub	$4,%esp
	movl	8(%ebp),%ebx
_89:
	movl	60(%ebx),%eax
	decl	4(%eax)
	jnz	_198
	movl	%eax,(%esp)
	call	_bbGCFree
_198:
	movl	56(%ebx),%eax
	decl	4(%eax)
	jnz	_200
	movl	%eax,(%esp)
	call	_bbGCFree
_200:
	mov	$0,%eax
	jmp	_196
_196:
	add	$4,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TEntity_updateAll:
	push	%ebp
	mov	%esp,%ebp
	sub	$8,%esp
	push	%ebx
	sub	$12,%esp
	flds	8(%ebp)
	fstps	-4(%ebp)
	movl	$_bbNullObject,-8(%ebp)
	movl	%ebp,4(%esp)
	movl	$_211,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_201,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	__bb_TEntity_gFirst,%eax
	movl	%eax,-8(%ebp)
	movl	$_203,(%esp)
	calll	*_bbOnDebugEnterStm
	jmp	_7
_9:
	movl	%ebp,4(%esp)
	movl	$_210,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_204,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-8(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_206
	call	_brl_blitz_NullObjectError
_206:
	flds	-4(%ebp)
	fstps	4(%esp)
	movl	%ebx,(%esp)
	movl	(%ebx),%eax
	calll	*80(%eax)
	movl	$_207,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-8(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_209
	call	_brl_blitz_NullObjectError
_209:
	movl	60(%ebx),%eax
	movl	%eax,-8(%ebp)
	calll	*_bbOnDebugLeaveScope
_7:
	cmpl	$_bbNullObject,-8(%ebp)
	jne	_9
_8:
	mov	$0,%ebx
	jmp	_92
_92:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$12,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TEntity_removeInactive:
	push	%ebp
	mov	%esp,%ebp
	sub	$8,%esp
	push	%ebx
	sub	$12,%esp
	movl	$_bbNullObject,-4(%ebp)
	movl	$_bbNullObject,-8(%ebp)
	movl	%ebp,4(%esp)
	movl	$_236,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_213,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	__bb_TEntity_gFirst,%eax
	movl	%eax,-4(%ebp)
	movl	$_215,(%esp)
	calll	*_bbOnDebugEnterStm
	jmp	_10
_12:
	movl	%ebp,4(%esp)
	movl	$_235,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_216,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_218
	call	_brl_blitz_NullObjectError
_218:
	cmpl	$0,8(%ebx)
	jne	_219
	movl	%ebp,4(%esp)
	movl	$_228,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_220,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_222
	call	_brl_blitz_NullObjectError
_222:
	movl	60(%ebx),%eax
	movl	%eax,-8(%ebp)
	movl	$_224,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_226
	call	_brl_blitz_NullObjectError
_226:
	movl	%ebx,(%esp)
	movl	(%ebx),%eax
	calll	*100(%eax)
	movl	$_227,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-8(%ebp),%eax
	movl	%eax,-4(%ebp)
	calll	*_bbOnDebugLeaveScope
	jmp	_230
_219:
	movl	%ebp,4(%esp)
	movl	$_234,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_231,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_233
	call	_brl_blitz_NullObjectError
_233:
	movl	60(%ebx),%eax
	movl	%eax,-4(%ebp)
	calll	*_bbOnDebugLeaveScope
_230:
	calll	*_bbOnDebugLeaveScope
_10:
	cmpl	$_bbNullObject,-4(%ebp)
	jne	_12
_11:
	mov	$0,%ebx
	jmp	_94
_94:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$12,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TEntity_removeAll:
	push	%ebp
	mov	%esp,%ebp
	sub	$4,%esp
	push	%ebx
	sub	$16,%esp
	movl	$_bbNullObject,-4(%ebp)
	movl	%ebp,4(%esp)
	movl	$_257,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_237,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	__bb_TEntity_gFirst,%eax
	movl	%eax,-4(%ebp)
	movl	$_239,(%esp)
	calll	*_bbOnDebugEnterStm
	jmp	_13
_15:
	movl	%ebp,4(%esp)
	movl	$_246,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_240,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_242
	call	_brl_blitz_NullObjectError
_242:
	movl	%ebx,(%esp)
	movl	(%ebx),%eax
	calll	*88(%eax)
	movl	$_243,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_245
	call	_brl_blitz_NullObjectError
_245:
	movl	60(%ebx),%eax
	movl	%eax,-4(%ebp)
	calll	*_bbOnDebugLeaveScope
_13:
	cmpl	$_bbNullObject,-4(%ebp)
	jne	_15
_14:
	movl	$_247,(%esp)
	calll	*_bbOnDebugEnterStm
	mov	$_bbNullObject,%ebx
	incl	4(%ebx)
	movl	__bb_TEntity_gFirst,%eax
	decl	4(%eax)
	jnz	_251
	movl	%eax,(%esp)
	call	_bbGCFree
_251:
	movl	%ebx,__bb_TEntity_gFirst
	movl	$_252,(%esp)
	calll	*_bbOnDebugEnterStm
	mov	$_bbNullObject,%ebx
	incl	4(%ebx)
	movl	__bb_TEntity_gLast,%eax
	decl	4(%eax)
	jnz	_256
	movl	%eax,(%esp)
	call	_bbGCFree
_256:
	movl	%ebx,__bb_TEntity_gLast
	mov	$0,%ebx
	jmp	_96
_96:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$16,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TEntity_updateDepthSortAll:
	push	%ebp
	mov	%esp,%ebp
	sub	$8,%esp
	push	%ebx
	sub	$12,%esp
	movl	$_bbNullObject,-4(%ebp)
	movl	$_bbNullObject,-8(%ebp)
	movl	%ebp,4(%esp)
	movl	$_280,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_258,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	__bb_TEntity_gFirst,%eax
	movl	%eax,-4(%ebp)
	movl	$_260,(%esp)
	calll	*_bbOnDebugEnterStm
	jmp	_16
_18:
	movl	%ebp,4(%esp)
	movl	$_279,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_261,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_263
	call	_brl_blitz_NullObjectError
_263:
	cmpl	$0,12(%ebx)
	je	_264
	movl	%ebp,4(%esp)
	movl	$_273,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_265,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_267
	call	_brl_blitz_NullObjectError
_267:
	movl	60(%ebx),%eax
	movl	%eax,-8(%ebp)
	movl	$_269,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_271
	call	_brl_blitz_NullObjectError
_271:
	movl	%ebx,(%esp)
	movl	(%ebx),%eax
	calll	*104(%eax)
	movl	$_272,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-8(%ebp),%eax
	movl	%eax,-4(%ebp)
	calll	*_bbOnDebugLeaveScope
	jmp	_274
_264:
	movl	%ebp,4(%esp)
	movl	$_278,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_275,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_277
	call	_brl_blitz_NullObjectError
_277:
	movl	60(%ebx),%eax
	movl	%eax,-4(%ebp)
	calll	*_bbOnDebugLeaveScope
_274:
	calll	*_bbOnDebugLeaveScope
_16:
	cmpl	$_bbNullObject,-4(%ebp)
	jne	_18
_17:
	mov	$0,%ebx
	jmp	_98
_98:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$12,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TEntity_init:
	push	%ebp
	mov	%esp,%ebp
	sub	$16,%esp
	push	%ebx
	push	%esi
	sub	$16,%esp
	movl	8(%ebp),%eax
	movl	%eax,-4(%ebp)
	flds	12(%ebp)
	fstps	-8(%ebp)
	flds	16(%ebp)
	fstps	-12(%ebp)
	movl	20(%ebp),%eax
	movl	%eax,-16(%ebp)
	mov	%ebp,%eax
	movl	%eax,4(%esp)
	movl	$_303,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_281,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_283
	call	_brl_blitz_NullObjectError
_283:
	flds	-8(%ebp)
	fstps	16(%ebx)
	movl	$_285,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_287
	call	_brl_blitz_NullObjectError
_287:
	flds	-12(%ebp)
	fstps	20(%ebx)
	movl	$_289,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_291
	call	_brl_blitz_NullObjectError
_291:
	mov	%ebx,%esi
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_294
	call	_brl_blitz_NullObjectError
_294:
	flds	16(%ebx)
	fstps	44(%esi)
	movl	$_295,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_297
	call	_brl_blitz_NullObjectError
_297:
	movl	-16(%ebp),%eax
	movl	%eax,12(%ebx)
	movl	$_299,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_301
	call	_brl_blitz_NullObjectError
_301:
	movl	$1,8(%ebx)
	mov	$0,%ebx
	jmp	_104
_104:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$16,%esp
	pop	%esi
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TEntity_setSegmentDX:
	push	%ebp
	mov	%esp,%ebp
	sub	$12,%esp
	push	%ebx
	sub	$8,%esp
	movl	8(%ebp),%eax
	movl	%eax,-4(%ebp)
	flds	12(%ebp)
	fstps	-8(%ebp)
	flds	16(%ebp)
	fstps	-12(%ebp)
	movl	%ebp,4(%esp)
	movl	$_311,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_307,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_309
	call	_brl_blitz_NullObjectError
_309:
	flds	-8(%ebp)
	fstps	36(%ebx)
	mov	$0,%ebx
	jmp	_109
_109:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$8,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TEntity_setSegmentDY:
	push	%ebp
	mov	%esp,%ebp
	sub	$8,%esp
	push	%ebx
	sub	$12,%esp
	movl	8(%ebp),%eax
	movl	%eax,-4(%ebp)
	flds	12(%ebp)
	fstps	-8(%ebp)
	movl	%ebp,4(%esp)
	movl	$_318,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_314,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_316
	call	_brl_blitz_NullObjectError
_316:
	flds	-8(%ebp)
	fstps	40(%ebx)
	mov	$0,%ebx
	jmp	_113
_113:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$12,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TEntity_addToListDepthSorted:
	push	%ebp
	mov	%esp,%ebp
	sub	$8,%esp
	push	%ebx
	push	%esi
	sub	$8,%esp
	movl	8(%ebp),%eax
	movl	%eax,-4(%ebp)
	movl	$_bbNullObject,-8(%ebp)
	mov	%ebp,%eax
	movl	%eax,4(%esp)
	movl	$_423,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_320,(%esp)
	calll	*_bbOnDebugEnterStm
	cmpl	$_bbNullObject,__bb_TEntity_gFirst
	jne	_321
	mov	%ebp,%eax
	movl	%eax,4(%esp)
	movl	$_332,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_322,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	incl	4(%ebx)
	movl	__bb_TEntity_gFirst,%eax
	decl	4(%eax)
	jnz	_326
	movl	%eax,(%esp)
	call	_bbGCFree
_326:
	movl	%ebx,__bb_TEntity_gFirst
	movl	$_327,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	incl	4(%ebx)
	movl	__bb_TEntity_gLast,%eax
	decl	4(%eax)
	jnz	_331
	movl	%eax,(%esp)
	call	_bbGCFree
_331:
	movl	%ebx,__bb_TEntity_gLast
	calll	*_bbOnDebugLeaveScope
	jmp	_333
_321:
	mov	%ebp,%eax
	movl	%eax,4(%esp)
	movl	$_421,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_334,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	__bb_TEntity_gLast,%eax
	movl	%eax,-8(%ebp)
	movl	$_336,(%esp)
	calll	*_bbOnDebugEnterStm
	jmp	_19
_21:
	mov	%ebp,%eax
	movl	%eax,4(%esp)
	movl	$_346,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_343,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-8(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_345
	call	_brl_blitz_NullObjectError
_345:
	movl	56(%ebx),%eax
	movl	%eax,-8(%ebp)
	calll	*_bbOnDebugLeaveScope
_19:
	movl	-8(%ebp),%eax
	cmp	$_bbNullObject,%eax
	setne	%al
	movzbl	%al,%eax
	cmp	$0,%eax
	je	_341
	movl	-8(%ebp),%esi
	cmp	$_bbNullObject,%esi
	jne	_338
	call	_brl_blitz_NullObjectError
_338:
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_340
	call	_brl_blitz_NullObjectError
_340:
	flds	16(%esi)
	flds	16(%ebx)
	fxch	%st(1)
	fucompp
	fnstsw	%ax
	sahf
	seta	%al
	movzbl	%al,%eax
_341:
	cmp	$0,%eax
	jne	_21
_20:
	movl	$_347,(%esp)
	calll	*_bbOnDebugEnterStm
	cmpl	$_bbNullObject,-8(%ebp)
	jne	_348
	mov	%ebp,%eax
	movl	%eax,4(%esp)
	movl	$_370,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_349,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	__bb_TEntity_gFirst,%ebx
	cmp	$_bbNullObject,%ebx
	jne	_351
	call	_brl_blitz_NullObjectError
_351:
	movl	-4(%ebp),%eax
	incl	4(%eax)
	mov	%eax,%esi
	movl	56(%ebx),%eax
	decl	4(%eax)
	jnz	_356
	movl	%eax,(%esp)
	call	_bbGCFree
_356:
	movl	%esi,56(%ebx)
	movl	$_357,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_359
	call	_brl_blitz_NullObjectError
_359:
	movl	__bb_TEntity_gFirst,%eax
	incl	4(%eax)
	mov	%eax,%esi
	movl	60(%ebx),%eax
	decl	4(%eax)
	jnz	_364
	movl	%eax,(%esp)
	call	_bbGCFree
_364:
	movl	%esi,60(%ebx)
	movl	$_365,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	incl	4(%ebx)
	movl	__bb_TEntity_gFirst,%eax
	decl	4(%eax)
	jnz	_369
	movl	%eax,(%esp)
	call	_bbGCFree
_369:
	movl	%ebx,__bb_TEntity_gFirst
	calll	*_bbOnDebugLeaveScope
	jmp	_371
_348:
	mov	%ebp,%eax
	movl	%eax,4(%esp)
	movl	$_420,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_372,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-8(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_374
	call	_brl_blitz_NullObjectError
_374:
	cmpl	$_bbNullObject,60(%ebx)
	je	_375
	mov	%ebp,%eax
	movl	%eax,4(%esp)
	movl	$_386,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_376,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-8(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_378
	call	_brl_blitz_NullObjectError
_378:
	movl	60(%ebx),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_380
	call	_brl_blitz_NullObjectError
_380:
	movl	-4(%ebp),%eax
	incl	4(%eax)
	mov	%eax,%esi
	movl	56(%ebx),%eax
	decl	4(%eax)
	jnz	_385
	movl	%eax,(%esp)
	call	_bbGCFree
_385:
	movl	%esi,56(%ebx)
	calll	*_bbOnDebugLeaveScope
	jmp	_387
_375:
	mov	%ebp,%eax
	movl	%eax,4(%esp)
	movl	$_393,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_388,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	incl	4(%ebx)
	movl	__bb_TEntity_gLast,%eax
	decl	4(%eax)
	jnz	_392
	movl	%eax,(%esp)
	call	_bbGCFree
_392:
	movl	%ebx,__bb_TEntity_gLast
	calll	*_bbOnDebugLeaveScope
_387:
	movl	$_394,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_396
	call	_brl_blitz_NullObjectError
_396:
	movl	-8(%ebp),%eax
	incl	4(%eax)
	mov	%eax,%esi
	movl	56(%ebx),%eax
	decl	4(%eax)
	jnz	_401
	movl	%eax,(%esp)
	call	_bbGCFree
_401:
	movl	%esi,56(%ebx)
	movl	$_402,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_404
	call	_brl_blitz_NullObjectError
_404:
	mov	%ebx,%esi
	movl	-8(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_407
	call	_brl_blitz_NullObjectError
_407:
	movl	60(%ebx),%eax
	incl	4(%eax)
	mov	%eax,%ebx
	movl	60(%esi),%eax
	decl	4(%eax)
	jnz	_411
	movl	%eax,(%esp)
	call	_bbGCFree
_411:
	movl	%ebx,60(%esi)
	movl	$_412,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-8(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_414
	call	_brl_blitz_NullObjectError
_414:
	movl	-4(%ebp),%eax
	incl	4(%eax)
	mov	%eax,%esi
	movl	60(%ebx),%eax
	decl	4(%eax)
	jnz	_419
	movl	%eax,(%esp)
	call	_bbGCFree
_419:
	movl	%esi,60(%ebx)
	calll	*_bbOnDebugLeaveScope
_371:
	calll	*_bbOnDebugLeaveScope
_333:
	mov	$0,%ebx
	jmp	_116
_116:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$8,%esp
	pop	%esi
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TEntity_update:
	push	%ebp
	mov	%esp,%ebp
	sub	$8,%esp
	push	%ebx
	push	%esi
	sub	$8,%esp
	movl	8(%ebp),%eax
	movl	%eax,-4(%ebp)
	flds	12(%ebp)
	fstps	-8(%ebp)
	mov	%ebp,%eax
	movl	%eax,4(%esp)
	movl	$_442,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_424,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_426
	call	_brl_blitz_NullObjectError
_426:
	mov	%ebx,%esi
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_429
	call	_brl_blitz_NullObjectError
_429:
	flds	16(%ebx)
	fstps	44(%esi)
	movl	$_430,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_432
	call	_brl_blitz_NullObjectError
_432:
	flds	16(%ebx)
	fsubs	-8(%ebp)
	fstps	16(%ebx)
	movl	$_434,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_436
	call	_brl_blitz_NullObjectError
_436:
	flds	16(%ebx)
	flds	__bb_TEntity_gMinZ
	fxch	%st(1)
	fucompp
	fnstsw	%ax
	sahf
	setae	%al
	movzbl	%al,%eax
	cmp	$0,%eax
	jne	_437
	mov	%ebp,%eax
	movl	%eax,4(%esp)
	movl	$_441,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_438,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_440
	call	_brl_blitz_NullObjectError
_440:
	movl	%ebx,(%esp)
	movl	(%ebx),%eax
	calll	*84(%eax)
	calll	*_bbOnDebugLeaveScope
_437:
	mov	$0,%ebx
	jmp	_120
_120:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$8,%esp
	pop	%esi
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TEntity_deactivate:
	push	%ebp
	mov	%esp,%ebp
	sub	$4,%esp
	push	%ebx
	sub	$16,%esp
	movl	8(%ebp),%eax
	movl	%eax,-4(%ebp)
	movl	%ebp,4(%esp)
	movl	$_450,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_443,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_445
	call	_brl_blitz_NullObjectError
_445:
	movl	%ebx,(%esp)
	movl	(%ebx),%eax
	calll	*88(%eax)
	movl	$_446,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_448
	call	_brl_blitz_NullObjectError
_448:
	movl	$0,8(%ebx)
	mov	$0,%ebx
	jmp	_123
_123:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$16,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TEntity_clear:
	push	%ebp
	mov	%esp,%ebp
	sub	$4,%esp
	push	%ebx
	sub	$16,%esp
	movl	8(%ebp),%eax
	movl	%eax,-4(%ebp)
	movl	%ebp,4(%esp)
	movl	$_451,(%esp)
	calll	*_bbOnDebugEnterScope
	mov	$0,%ebx
	jmp	_126
_126:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$16,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TEntity_drawShadow:
	push	%ebp
	mov	%esp,%ebp
	sub	$4,%esp
	push	%ebx
	sub	$16,%esp
	movl	8(%ebp),%eax
	movl	%eax,-4(%ebp)
	movl	%ebp,4(%esp)
	movl	$_452,(%esp)
	calll	*_bbOnDebugEnterScope
	mov	$0,%ebx
	jmp	_129
_129:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$16,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TEntity_removeFromList:
	push	%ebp
	mov	%esp,%ebp
	sub	$4,%esp
	push	%ebx
	push	%esi
	sub	$12,%esp
	movl	8(%ebp),%eax
	movl	%eax,-4(%ebp)
	mov	%ebp,%eax
	movl	%eax,4(%esp)
	movl	$_505,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_453,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_455
	call	_brl_blitz_NullObjectError
_455:
	cmpl	$_bbNullObject,56(%ebx)
	je	_456
	mov	%ebp,%eax
	movl	%eax,4(%esp)
	movl	$_469,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_457,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_459
	call	_brl_blitz_NullObjectError
_459:
	movl	56(%ebx),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_461
	call	_brl_blitz_NullObjectError
_461:
	mov	%ebx,%esi
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_464
	call	_brl_blitz_NullObjectError
_464:
	movl	60(%ebx),%eax
	incl	4(%eax)
	mov	%eax,%ebx
	movl	60(%esi),%eax
	decl	4(%eax)
	jnz	_468
	movl	%eax,(%esp)
	call	_bbGCFree
_468:
	movl	%ebx,60(%esi)
	calll	*_bbOnDebugLeaveScope
	jmp	_470
_456:
	mov	%ebp,%eax
	movl	%eax,4(%esp)
	movl	$_478,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_471,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_473
	call	_brl_blitz_NullObjectError
_473:
	movl	60(%ebx),%ebx
	incl	4(%ebx)
	movl	__bb_TEntity_gFirst,%eax
	decl	4(%eax)
	jnz	_477
	movl	%eax,(%esp)
	call	_bbGCFree
_477:
	movl	%ebx,__bb_TEntity_gFirst
	calll	*_bbOnDebugLeaveScope
_470:
	movl	$_479,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_481
	call	_brl_blitz_NullObjectError
_481:
	cmpl	$_bbNullObject,60(%ebx)
	je	_482
	mov	%ebp,%eax
	movl	%eax,4(%esp)
	movl	$_495,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_483,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_485
	call	_brl_blitz_NullObjectError
_485:
	movl	60(%ebx),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_487
	call	_brl_blitz_NullObjectError
_487:
	mov	%ebx,%esi
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_490
	call	_brl_blitz_NullObjectError
_490:
	movl	56(%ebx),%eax
	incl	4(%eax)
	mov	%eax,%ebx
	movl	56(%esi),%eax
	decl	4(%eax)
	jnz	_494
	movl	%eax,(%esp)
	call	_bbGCFree
_494:
	movl	%ebx,56(%esi)
	calll	*_bbOnDebugLeaveScope
	jmp	_496
_482:
	mov	%ebp,%eax
	movl	%eax,4(%esp)
	movl	$_504,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_497,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_499
	call	_brl_blitz_NullObjectError
_499:
	movl	56(%ebx),%ebx
	incl	4(%ebx)
	movl	__bb_TEntity_gLast,%eax
	decl	4(%eax)
	jnz	_503
	movl	%eax,(%esp)
	call	_bbGCFree
_503:
	movl	%ebx,__bb_TEntity_gLast
	calll	*_bbOnDebugLeaveScope
_496:
	mov	$0,%ebx
	jmp	_132
_132:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$12,%esp
	pop	%esi
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TEntity_updateDepthSort:
	push	%ebp
	mov	%esp,%ebp
	sub	$4,%esp
	push	%ebx
	push	%esi
	sub	$12,%esp
	movl	8(%ebp),%eax
	movl	%eax,-4(%ebp)
	mov	%ebp,%eax
	movl	%eax,4(%esp)
	movl	$_540,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_506,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_508
	call	_brl_blitz_NullObjectError
_508:
	movl	56(%ebx),%eax
	cmp	$_bbNullObject,%eax
	setne	%al
	movzbl	%al,%eax
	cmp	$0,%eax
	je	_515
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_510
	call	_brl_blitz_NullObjectError
_510:
	movl	56(%ebx),%esi
	cmp	$_bbNullObject,%esi
	jne	_512
	call	_brl_blitz_NullObjectError
_512:
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_514
	call	_brl_blitz_NullObjectError
_514:
	flds	16(%esi)
	flds	16(%ebx)
	fxch	%st(1)
	fucompp
	fnstsw	%ax
	sahf
	seta	%al
	movzbl	%al,%eax
_515:
	cmp	$0,%eax
	je	_517
	mov	%ebp,%eax
	movl	%eax,4(%esp)
	movl	$_521,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_518,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_520
	call	_brl_blitz_NullObjectError
_520:
	movl	%ebx,(%esp)
	movl	(%ebx),%eax
	calll	*108(%eax)
	calll	*_bbOnDebugLeaveScope
	jmp	_522
_517:
	mov	%ebp,%eax
	movl	%eax,4(%esp)
	movl	$_539,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_523,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_525
	call	_brl_blitz_NullObjectError
_525:
	movl	60(%ebx),%eax
	cmp	$_bbNullObject,%eax
	setne	%al
	movzbl	%al,%eax
	cmp	$0,%eax
	je	_532
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_527
	call	_brl_blitz_NullObjectError
_527:
	movl	60(%ebx),%esi
	cmp	$_bbNullObject,%esi
	jne	_529
	call	_brl_blitz_NullObjectError
_529:
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_531
	call	_brl_blitz_NullObjectError
_531:
	flds	16(%esi)
	flds	16(%ebx)
	fxch	%st(1)
	fucompp
	fnstsw	%ax
	sahf
	setb	%al
	movzbl	%al,%eax
_532:
	cmp	$0,%eax
	je	_534
	mov	%ebp,%eax
	movl	%eax,4(%esp)
	movl	$_538,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_535,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_537
	call	_brl_blitz_NullObjectError
_537:
	movl	%ebx,(%esp)
	movl	(%ebx),%eax
	calll	*112(%eax)
	calll	*_bbOnDebugLeaveScope
_534:
	calll	*_bbOnDebugLeaveScope
_522:
	mov	$0,%ebx
	jmp	_135
_135:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$12,%esp
	pop	%esi
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TEntity_updateDepthSortDown:
	push	%ebp
	mov	%esp,%ebp
	sub	$8,%esp
	push	%ebx
	push	%esi
	sub	$8,%esp
	movl	8(%ebp),%eax
	movl	%eax,-4(%ebp)
	movl	$_bbNullObject,-8(%ebp)
	mov	%ebp,%eax
	movl	%eax,4(%esp)
	movl	$_629,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_541,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_543
	call	_brl_blitz_NullObjectError
_543:
	movl	56(%ebx),%eax
	movl	%eax,-8(%ebp)
	movl	$_545,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_547
	call	_brl_blitz_NullObjectError
_547:
	movl	%ebx,(%esp)
	movl	(%ebx),%eax
	calll	*100(%eax)
	movl	$_548,(%esp)
	calll	*_bbOnDebugEnterStm
	jmp	_22
_24:
	mov	%ebp,%eax
	movl	%eax,4(%esp)
	movl	$_558,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_555,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-8(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_557
	call	_brl_blitz_NullObjectError
_557:
	movl	56(%ebx),%eax
	movl	%eax,-8(%ebp)
	calll	*_bbOnDebugLeaveScope
_22:
	movl	-8(%ebp),%eax
	cmp	$_bbNullObject,%eax
	setne	%al
	movzbl	%al,%eax
	cmp	$0,%eax
	je	_553
	movl	-8(%ebp),%esi
	cmp	$_bbNullObject,%esi
	jne	_550
	call	_brl_blitz_NullObjectError
_550:
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_552
	call	_brl_blitz_NullObjectError
_552:
	flds	16(%esi)
	flds	16(%ebx)
	fxch	%st(1)
	fucompp
	fnstsw	%ax
	sahf
	seta	%al
	movzbl	%al,%eax
_553:
	cmp	$0,%eax
	jne	_24
_23:
	movl	$_559,(%esp)
	calll	*_bbOnDebugEnterStm
	cmpl	$_bbNullObject,-8(%ebp)
	jne	_560
	mov	%ebp,%eax
	movl	%eax,4(%esp)
	movl	$_590,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_561,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	__bb_TEntity_gFirst,%ebx
	cmp	$_bbNullObject,%ebx
	jne	_563
	call	_brl_blitz_NullObjectError
_563:
	movl	-4(%ebp),%eax
	incl	4(%eax)
	mov	%eax,%esi
	movl	56(%ebx),%eax
	decl	4(%eax)
	jnz	_568
	movl	%eax,(%esp)
	call	_bbGCFree
_568:
	movl	%esi,56(%ebx)
	movl	$_569,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_571
	call	_brl_blitz_NullObjectError
_571:
	mov	$_bbNullObject,%eax
	incl	4(%eax)
	mov	%eax,%esi
	movl	56(%ebx),%eax
	decl	4(%eax)
	jnz	_576
	movl	%eax,(%esp)
	call	_bbGCFree
_576:
	movl	%esi,56(%ebx)
	movl	$_577,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_579
	call	_brl_blitz_NullObjectError
_579:
	movl	__bb_TEntity_gFirst,%eax
	incl	4(%eax)
	mov	%eax,%esi
	movl	60(%ebx),%eax
	decl	4(%eax)
	jnz	_584
	movl	%eax,(%esp)
	call	_bbGCFree
_584:
	movl	%esi,60(%ebx)
	movl	$_585,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	incl	4(%ebx)
	movl	__bb_TEntity_gFirst,%eax
	decl	4(%eax)
	jnz	_589
	movl	%eax,(%esp)
	call	_bbGCFree
_589:
	movl	%ebx,__bb_TEntity_gFirst
	calll	*_bbOnDebugLeaveScope
	jmp	_591
_560:
	mov	%ebp,%eax
	movl	%eax,4(%esp)
	movl	$_628,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_592,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-8(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_594
	call	_brl_blitz_NullObjectError
_594:
	movl	60(%ebx),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_596
	call	_brl_blitz_NullObjectError
_596:
	movl	-4(%ebp),%eax
	incl	4(%eax)
	mov	%eax,%esi
	movl	56(%ebx),%eax
	decl	4(%eax)
	jnz	_601
	movl	%eax,(%esp)
	call	_bbGCFree
_601:
	movl	%esi,56(%ebx)
	movl	$_602,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_604
	call	_brl_blitz_NullObjectError
_604:
	mov	%ebx,%esi
	movl	-8(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_607
	call	_brl_blitz_NullObjectError
_607:
	movl	60(%ebx),%eax
	incl	4(%eax)
	mov	%eax,%ebx
	movl	60(%esi),%eax
	decl	4(%eax)
	jnz	_611
	movl	%eax,(%esp)
	call	_bbGCFree
_611:
	movl	%ebx,60(%esi)
	movl	$_612,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-8(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_614
	call	_brl_blitz_NullObjectError
_614:
	movl	-4(%ebp),%eax
	incl	4(%eax)
	mov	%eax,%esi
	movl	60(%ebx),%eax
	decl	4(%eax)
	jnz	_619
	movl	%eax,(%esp)
	call	_bbGCFree
_619:
	movl	%esi,60(%ebx)
	movl	$_620,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_622
	call	_brl_blitz_NullObjectError
_622:
	movl	-8(%ebp),%eax
	incl	4(%eax)
	mov	%eax,%esi
	movl	56(%ebx),%eax
	decl	4(%eax)
	jnz	_627
	movl	%eax,(%esp)
	call	_bbGCFree
_627:
	movl	%esi,56(%ebx)
	calll	*_bbOnDebugLeaveScope
_591:
	mov	$0,%ebx
	jmp	_138
_138:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$8,%esp
	pop	%esi
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TEntity_updateDepthSortUp:
	push	%ebp
	mov	%esp,%ebp
	sub	$8,%esp
	push	%ebx
	push	%esi
	sub	$8,%esp
	movl	8(%ebp),%eax
	movl	%eax,-4(%ebp)
	movl	$_bbNullObject,-8(%ebp)
	mov	%ebp,%eax
	movl	%eax,4(%esp)
	movl	$_718,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_630,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_632
	call	_brl_blitz_NullObjectError
_632:
	movl	60(%ebx),%eax
	movl	%eax,-8(%ebp)
	movl	$_634,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_636
	call	_brl_blitz_NullObjectError
_636:
	movl	%ebx,(%esp)
	movl	(%ebx),%eax
	calll	*100(%eax)
	movl	$_637,(%esp)
	calll	*_bbOnDebugEnterStm
	jmp	_25
_27:
	mov	%ebp,%eax
	movl	%eax,4(%esp)
	movl	$_647,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_644,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-8(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_646
	call	_brl_blitz_NullObjectError
_646:
	movl	60(%ebx),%eax
	movl	%eax,-8(%ebp)
	calll	*_bbOnDebugLeaveScope
_25:
	movl	-8(%ebp),%eax
	cmp	$_bbNullObject,%eax
	setne	%al
	movzbl	%al,%eax
	cmp	$0,%eax
	je	_642
	movl	-8(%ebp),%esi
	cmp	$_bbNullObject,%esi
	jne	_639
	call	_brl_blitz_NullObjectError
_639:
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_641
	call	_brl_blitz_NullObjectError
_641:
	flds	16(%esi)
	flds	16(%ebx)
	fxch	%st(1)
	fucompp
	fnstsw	%ax
	sahf
	setb	%al
	movzbl	%al,%eax
_642:
	cmp	$0,%eax
	jne	_27
_26:
	movl	$_648,(%esp)
	calll	*_bbOnDebugEnterStm
	cmpl	$_bbNullObject,-8(%ebp)
	jne	_649
	mov	%ebp,%eax
	movl	%eax,4(%esp)
	movl	$_679,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_650,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	__bb_TEntity_gLast,%ebx
	cmp	$_bbNullObject,%ebx
	jne	_652
	call	_brl_blitz_NullObjectError
_652:
	movl	-4(%ebp),%eax
	incl	4(%eax)
	mov	%eax,%esi
	movl	60(%ebx),%eax
	decl	4(%eax)
	jnz	_657
	movl	%eax,(%esp)
	call	_bbGCFree
_657:
	movl	%esi,60(%ebx)
	movl	$_658,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_660
	call	_brl_blitz_NullObjectError
_660:
	movl	__bb_TEntity_gLast,%eax
	incl	4(%eax)
	mov	%eax,%esi
	movl	56(%ebx),%eax
	decl	4(%eax)
	jnz	_665
	movl	%eax,(%esp)
	call	_bbGCFree
_665:
	movl	%esi,56(%ebx)
	movl	$_666,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_668
	call	_brl_blitz_NullObjectError
_668:
	mov	$_bbNullObject,%eax
	incl	4(%eax)
	mov	%eax,%esi
	movl	60(%ebx),%eax
	decl	4(%eax)
	jnz	_673
	movl	%eax,(%esp)
	call	_bbGCFree
_673:
	movl	%esi,60(%ebx)
	movl	$_674,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	incl	4(%ebx)
	movl	__bb_TEntity_gLast,%eax
	decl	4(%eax)
	jnz	_678
	movl	%eax,(%esp)
	call	_bbGCFree
_678:
	movl	%ebx,__bb_TEntity_gLast
	calll	*_bbOnDebugLeaveScope
	jmp	_680
_649:
	mov	%ebp,%eax
	movl	%eax,4(%esp)
	movl	$_717,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_681,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-8(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_683
	call	_brl_blitz_NullObjectError
_683:
	movl	56(%ebx),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_685
	call	_brl_blitz_NullObjectError
_685:
	movl	-4(%ebp),%eax
	incl	4(%eax)
	mov	%eax,%esi
	movl	60(%ebx),%eax
	decl	4(%eax)
	jnz	_690
	movl	%eax,(%esp)
	call	_bbGCFree
_690:
	movl	%esi,60(%ebx)
	movl	$_691,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_693
	call	_brl_blitz_NullObjectError
_693:
	mov	%ebx,%esi
	movl	-8(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_696
	call	_brl_blitz_NullObjectError
_696:
	movl	56(%ebx),%eax
	incl	4(%eax)
	mov	%eax,%ebx
	movl	56(%esi),%eax
	decl	4(%eax)
	jnz	_700
	movl	%eax,(%esp)
	call	_bbGCFree
_700:
	movl	%ebx,56(%esi)
	movl	$_701,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-8(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_703
	call	_brl_blitz_NullObjectError
_703:
	movl	-4(%ebp),%eax
	incl	4(%eax)
	mov	%eax,%esi
	movl	56(%ebx),%eax
	decl	4(%eax)
	jnz	_708
	movl	%eax,(%esp)
	call	_bbGCFree
_708:
	movl	%esi,56(%ebx)
	movl	$_709,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_711
	call	_brl_blitz_NullObjectError
_711:
	movl	-8(%ebp),%eax
	incl	4(%eax)
	mov	%eax,%esi
	movl	60(%ebx),%eax
	decl	4(%eax)
	jnz	_716
	movl	%eax,(%esp)
	call	_bbGCFree
_716:
	movl	%esi,60(%ebx)
	calll	*_bbOnDebugLeaveScope
_680:
	mov	$0,%ebx
	jmp	_141
_141:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$8,%esp
	pop	%esi
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TEntity_getSpeed:
	push	%ebp
	mov	%esp,%ebp
	sub	$24,%esp
	movl	8(%ebp),%eax
	movl	%eax,-4(%ebp)
	movl	%ebp,4(%esp)
	movl	$_720,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_719,(%esp)
	calll	*_bbOnDebugEnterStm
	flds	_885
	fstps	-8(%ebp)
	jmp	_144
_144:
	calll	*_bbOnDebugLeaveScope
	flds	-8(%ebp)
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TEntity_isHuman:
	push	%ebp
	mov	%esp,%ebp
	sub	$4,%esp
	push	%ebx
	sub	$16,%esp
	movl	8(%ebp),%eax
	movl	%eax,-4(%ebp)
	movl	%ebp,4(%esp)
	movl	$_722,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_721,(%esp)
	calll	*_bbOnDebugEnterStm
	mov	$0,%ebx
	jmp	_147
_147:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$16,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TEntity_isOil:
	push	%ebp
	mov	%esp,%ebp
	sub	$4,%esp
	push	%ebx
	sub	$16,%esp
	movl	8(%ebp),%eax
	movl	%eax,-4(%ebp)
	movl	%ebp,4(%esp)
	movl	$_724,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_723,(%esp)
	calll	*_bbOnDebugEnterStm
	mov	$0,%ebx
	jmp	_150
_150:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$16,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TEntity_isCar:
	push	%ebp
	mov	%esp,%ebp
	sub	$4,%esp
	push	%ebx
	sub	$16,%esp
	movl	8(%ebp),%eax
	movl	%eax,-4(%ebp)
	movl	%ebp,4(%esp)
	movl	$_726,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_725,(%esp)
	calll	*_bbOnDebugEnterStm
	mov	$0,%ebx
	jmp	_153
_153:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$16,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TEntity_isTunnelStart:
	push	%ebp
	mov	%esp,%ebp
	sub	$4,%esp
	push	%ebx
	sub	$16,%esp
	movl	8(%ebp),%eax
	movl	%eax,-4(%ebp)
	movl	%ebp,4(%esp)
	movl	$_728,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_727,(%esp)
	calll	*_bbOnDebugEnterStm
	mov	$0,%ebx
	jmp	_156
_156:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$16,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TEntity_checkCollisions:
	push	%ebp
	mov	%esp,%ebp
	sub	$8,%esp
	push	%ebx
	sub	$12,%esp
	movl	8(%ebp),%eax
	movl	%eax,-4(%ebp)
	movl	12(%ebp),%eax
	movl	%eax,-8(%ebp)
	movl	%ebp,4(%esp)
	movl	$_729,(%esp)
	calll	*_bbOnDebugEnterScope
	mov	$0,%ebx
	jmp	_160
_160:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$12,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TEntity_receiveHit:
	push	%ebp
	mov	%esp,%ebp
	sub	$40,%esp
	movl	8(%ebp),%eax
	movl	%eax,-4(%ebp)
	flds	12(%ebp)
	fstps	-8(%ebp)
	flds	16(%ebp)
	fstps	-12(%ebp)
	flds	20(%ebp)
	fstps	-16(%ebp)
	movl	%ebp,4(%esp)
	movl	$_732,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_731,(%esp)
	calll	*_bbOnDebugEnterStm
	flds	-8(%ebp)
	fstps	-20(%ebp)
	jmp	_166
_166:
	calll	*_bbOnDebugLeaveScope
	flds	-20(%ebp)
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TEntity_hittable:
	push	%ebp
	mov	%esp,%ebp
	sub	$4,%esp
	push	%ebx
	sub	$16,%esp
	movl	8(%ebp),%eax
	movl	%eax,-4(%ebp)
	movl	%ebp,4(%esp)
	movl	$_736,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_735,(%esp)
	calll	*_bbOnDebugEnterStm
	mov	$1,%ebx
	jmp	_169
_169:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$16,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TEntity_setSlope:
	push	%ebp
	mov	%esp,%ebp
	sub	$8,%esp
	push	%ebx
	sub	$12,%esp
	movl	8(%ebp),%eax
	movl	%eax,-4(%ebp)
	flds	12(%ebp)
	fstps	-8(%ebp)
	movl	%ebp,4(%esp)
	movl	$_737,(%esp)
	calll	*_bbOnDebugEnterScope
	mov	$0,%ebx
	jmp	_173
_173:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$12,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TEntity_setInTunnel:
	push	%ebp
	mov	%esp,%ebp
	sub	$8,%esp
	push	%ebx
	sub	$12,%esp
	movl	8(%ebp),%eax
	movl	%eax,-4(%ebp)
	movl	12(%ebp),%eax
	movl	%eax,-8(%ebp)
	movl	%ebp,4(%esp)
	movl	$_739,(%esp)
	calll	*_bbOnDebugEnterScope
	mov	$0,%ebx
	jmp	_177
_177:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$12,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
	.data	
	.align	4
_186:
	.long	0
_185:
	.asciz	"entity"
	.align	4
_184:
	.long	1
	.long	_185
	.long	0
_180:
	.asciz	"/Users/macbook/Downloads/grandprix_win/Imports/entity.bmx"
	.align	4
_179:
	.long	_180
	.long	9
	.long	2
	.align	4
__bb_TEntity_gFirst:
	.long	_bbNullObject
	.align	4
_181:
	.long	_180
	.long	10
	.long	2
	.align	4
__bb_TEntity_gLast:
	.long	_bbNullObject
	.align	4
_182:
	.long	_180
	.long	12
	.long	2
	.align	4
__bb_TEntity_gMinZ:
	.long	0x0
	.align	4
_183:
	.long	_180
	.long	13
	.long	2
	.align	4
__bb_TEntity_gMaxZ:
	.long	0x0
_29:
	.asciz	"TEntity"
_30:
	.asciz	"fActive"
_31:
	.asciz	"i"
_32:
	.asciz	"fUpdateDepthSort"
_33:
	.asciz	"fZ"
_34:
	.asciz	"f"
_35:
	.asciz	"fX"
_36:
	.asciz	"fScreenY"
_37:
	.asciz	"fScale"
_38:
	.asciz	"fRoadX"
_39:
	.asciz	"fSegmentDX"
_40:
	.asciz	"fSegmentDY"
_41:
	.asciz	"fOldZ"
_42:
	.asciz	"fWidth"
_43:
	.asciz	"fLength"
_44:
	.asciz	"fPrevious"
_45:
	.asciz	":TEntity"
_46:
	.asciz	"fNext"
_47:
	.asciz	"New"
_48:
	.asciz	"()i"
_49:
	.asciz	"Delete"
_50:
	.asciz	"updateAll"
_51:
	.asciz	"(f)i"
_52:
	.asciz	"removeInactive"
_53:
	.asciz	"removeAll"
_54:
	.asciz	"updateDepthSortAll"
_55:
	.asciz	"init"
_56:
	.asciz	"(f,f,i)i"
_57:
	.asciz	"setSegmentDX"
_58:
	.asciz	"(f,f)i"
_59:
	.asciz	"setSegmentDY"
_60:
	.asciz	"addToListDepthSorted"
_61:
	.asciz	"update"
_62:
	.asciz	"deactivate"
_63:
	.asciz	"clear"
_64:
	.asciz	"draw"
_65:
	.asciz	"drawShadow"
_66:
	.asciz	"removeFromList"
_67:
	.asciz	"updateDepthSort"
_68:
	.asciz	"updateDepthSortDown"
_69:
	.asciz	"updateDepthSortUp"
_70:
	.asciz	"getSpeed"
_71:
	.asciz	"()f"
_72:
	.asciz	"isHuman"
_73:
	.asciz	"isOil"
_74:
	.asciz	"isCar"
_75:
	.asciz	"isTunnelStart"
_76:
	.asciz	"checkCollisions"
_77:
	.asciz	"(i)i"
_78:
	.asciz	"receiveHit"
_79:
	.asciz	"(f,f,f)f"
_80:
	.asciz	"hittable"
_81:
	.asciz	"setSlope"
_82:
	.asciz	"setInTunnel"
	.align	4
_28:
	.long	2
	.long	_29
	.long	3
	.long	_30
	.long	_31
	.long	8
	.long	3
	.long	_32
	.long	_31
	.long	12
	.long	3
	.long	_33
	.long	_34
	.long	16
	.long	3
	.long	_35
	.long	_34
	.long	20
	.long	3
	.long	_36
	.long	_34
	.long	24
	.long	3
	.long	_37
	.long	_34
	.long	28
	.long	3
	.long	_38
	.long	_34
	.long	32
	.long	3
	.long	_39
	.long	_34
	.long	36
	.long	3
	.long	_40
	.long	_34
	.long	40
	.long	3
	.long	_41
	.long	_34
	.long	44
	.long	3
	.long	_42
	.long	_34
	.long	48
	.long	3
	.long	_43
	.long	_34
	.long	52
	.long	3
	.long	_44
	.long	_45
	.long	56
	.long	3
	.long	_46
	.long	_45
	.long	60
	.long	6
	.long	_47
	.long	_48
	.long	16
	.long	6
	.long	_49
	.long	_48
	.long	20
	.long	7
	.long	_50
	.long	_51
	.long	48
	.long	7
	.long	_52
	.long	_48
	.long	52
	.long	7
	.long	_53
	.long	_48
	.long	56
	.long	7
	.long	_54
	.long	_48
	.long	60
	.long	6
	.long	_55
	.long	_56
	.long	64
	.long	6
	.long	_57
	.long	_58
	.long	68
	.long	6
	.long	_59
	.long	_51
	.long	72
	.long	6
	.long	_60
	.long	_48
	.long	76
	.long	6
	.long	_61
	.long	_51
	.long	80
	.long	6
	.long	_62
	.long	_48
	.long	84
	.long	6
	.long	_63
	.long	_48
	.long	88
	.long	6
	.long	_64
	.long	_48
	.long	92
	.long	6
	.long	_65
	.long	_48
	.long	96
	.long	6
	.long	_66
	.long	_48
	.long	100
	.long	6
	.long	_67
	.long	_48
	.long	104
	.long	6
	.long	_68
	.long	_48
	.long	108
	.long	6
	.long	_69
	.long	_48
	.long	112
	.long	6
	.long	_70
	.long	_71
	.long	116
	.long	6
	.long	_72
	.long	_48
	.long	120
	.long	6
	.long	_73
	.long	_48
	.long	124
	.long	6
	.long	_74
	.long	_48
	.long	128
	.long	6
	.long	_75
	.long	_48
	.long	132
	.long	6
	.long	_76
	.long	_77
	.long	136
	.long	6
	.long	_78
	.long	_79
	.long	140
	.long	6
	.long	_80
	.long	_48
	.long	144
	.long	6
	.long	_81
	.long	_51
	.long	148
	.long	6
	.long	_82
	.long	_77
	.long	152
	.long	0
	.align	4
_bb_TEntity:
	.long	_bbObjectClass
	.long	_bbObjectFree
	.long	_28
	.long	64
	.long	__bb_TEntity_New
	.long	__bb_TEntity_Delete
	.long	_bbObjectToString
	.long	_bbObjectCompare
	.long	_bbObjectSendMessage
	.long	_bbObjectReserved
	.long	_bbObjectReserved
	.long	_bbObjectReserved
	.long	__bb_TEntity_updateAll
	.long	__bb_TEntity_removeInactive
	.long	__bb_TEntity_removeAll
	.long	__bb_TEntity_updateDepthSortAll
	.long	__bb_TEntity_init
	.long	__bb_TEntity_setSegmentDX
	.long	__bb_TEntity_setSegmentDY
	.long	__bb_TEntity_addToListDepthSorted
	.long	__bb_TEntity_update
	.long	__bb_TEntity_deactivate
	.long	__bb_TEntity_clear
	.long	_brl_blitz_NullMethodError
	.long	__bb_TEntity_drawShadow
	.long	__bb_TEntity_removeFromList
	.long	__bb_TEntity_updateDepthSort
	.long	__bb_TEntity_updateDepthSortDown
	.long	__bb_TEntity_updateDepthSortUp
	.long	__bb_TEntity_getSpeed
	.long	__bb_TEntity_isHuman
	.long	__bb_TEntity_isOil
	.long	__bb_TEntity_isCar
	.long	__bb_TEntity_isTunnelStart
	.long	__bb_TEntity_checkCollisions
	.long	__bb_TEntity_receiveHit
	.long	__bb_TEntity_hittable
	.long	__bb_TEntity_setSlope
	.long	__bb_TEntity_setInTunnel
_195:
	.asciz	"Self"
	.align	4
_194:
	.long	1
	.long	_47
	.long	2
	.long	_195
	.long	_45
	.long	-4
	.long	0
	.align	4
_193:
	.long	3
	.long	0
	.long	0
	.align	4
_190:
	.long	_180
	.long	76
	.long	3
_212:
	.asciz	"pScrollSpeed"
	.align	4
_211:
	.long	1
	.long	_50
	.long	2
	.long	_212
	.long	_34
	.long	-4
	.long	2
	.long	_185
	.long	_45
	.long	-8
	.long	0
	.align	4
_201:
	.long	_180
	.long	31
	.long	3
	.align	4
_203:
	.long	_180
	.long	32
	.long	3
	.align	4
_210:
	.long	3
	.long	0
	.long	0
	.align	4
_204:
	.long	_180
	.long	33
	.long	4
	.align	4
_207:
	.long	_180
	.long	34
	.long	4
	.align	4
_236:
	.long	1
	.long	_52
	.long	2
	.long	_185
	.long	_45
	.long	-4
	.long	0
	.align	4
_213:
	.long	_180
	.long	39
	.long	3
	.align	4
_215:
	.long	_180
	.long	40
	.long	3
	.align	4
_235:
	.long	3
	.long	0
	.long	0
	.align	4
_216:
	.long	_180
	.long	41
	.long	4
_229:
	.asciz	"nextEntity"
	.align	4
_228:
	.long	3
	.long	0
	.long	2
	.long	_229
	.long	_45
	.long	-8
	.long	0
	.align	4
_220:
	.long	_180
	.long	42
	.long	5
	.align	4
_224:
	.long	_180
	.long	43
	.long	5
	.align	4
_227:
	.long	_180
	.long	44
	.long	5
	.align	4
_234:
	.long	3
	.long	0
	.long	0
	.align	4
_231:
	.long	_180
	.long	46
	.long	5
	.align	4
_257:
	.long	1
	.long	_53
	.long	2
	.long	_185
	.long	_45
	.long	-4
	.long	0
	.align	4
_237:
	.long	_180
	.long	52
	.long	3
	.align	4
_239:
	.long	_180
	.long	53
	.long	3
	.align	4
_246:
	.long	3
	.long	0
	.long	0
	.align	4
_240:
	.long	_180
	.long	54
	.long	4
	.align	4
_243:
	.long	_180
	.long	55
	.long	4
	.align	4
_247:
	.long	_180
	.long	58
	.long	3
	.align	4
_252:
	.long	_180
	.long	59
	.long	3
	.align	4
_280:
	.long	1
	.long	_54
	.long	2
	.long	_185
	.long	_45
	.long	-4
	.long	0
	.align	4
_258:
	.long	_180
	.long	63
	.long	3
	.align	4
_260:
	.long	_180
	.long	64
	.long	3
	.align	4
_279:
	.long	3
	.long	0
	.long	0
	.align	4
_261:
	.long	_180
	.long	65
	.long	4
	.align	4
_273:
	.long	3
	.long	0
	.long	2
	.long	_229
	.long	_45
	.long	-8
	.long	0
	.align	4
_265:
	.long	_180
	.long	66
	.long	5
	.align	4
_269:
	.long	_180
	.long	67
	.long	5
	.align	4
_272:
	.long	_180
	.long	68
	.long	5
	.align	4
_278:
	.long	3
	.long	0
	.long	0
	.align	4
_275:
	.long	_180
	.long	70
	.long	5
_304:
	.asciz	"pZ"
_305:
	.asciz	"pX"
_306:
	.asciz	"pUpdateDepthSort"
	.align	4
_303:
	.long	1
	.long	_55
	.long	2
	.long	_195
	.long	_45
	.long	-4
	.long	2
	.long	_304
	.long	_34
	.long	-8
	.long	2
	.long	_305
	.long	_34
	.long	-12
	.long	2
	.long	_306
	.long	_31
	.long	-16
	.long	0
	.align	4
_281:
	.long	_180
	.long	80
	.long	3
	.align	4
_285:
	.long	_180
	.long	81
	.long	3
	.align	4
_289:
	.long	_180
	.long	82
	.long	3
	.align	4
_295:
	.long	_180
	.long	83
	.long	3
	.align	4
_299:
	.long	_180
	.long	84
	.long	3
_312:
	.asciz	"pSegmentDX"
_313:
	.asciz	"pSegmentDXFraction"
	.align	4
_311:
	.long	1
	.long	_57
	.long	2
	.long	_195
	.long	_45
	.long	-4
	.long	2
	.long	_312
	.long	_34
	.long	-8
	.long	2
	.long	_313
	.long	_34
	.long	-12
	.long	0
	.align	4
_307:
	.long	_180
	.long	88
	.long	3
_319:
	.asciz	"pSegmentDY"
	.align	4
_318:
	.long	1
	.long	_59
	.long	2
	.long	_195
	.long	_45
	.long	-4
	.long	2
	.long	_319
	.long	_34
	.long	-8
	.long	0
	.align	4
_314:
	.long	_180
	.long	92
	.long	3
	.align	4
_423:
	.long	1
	.long	_60
	.long	2
	.long	_195
	.long	_45
	.long	-4
	.long	0
	.align	4
_320:
	.long	_180
	.long	96
	.long	3
	.align	4
_332:
	.long	3
	.long	0
	.long	0
	.align	4
_322:
	.long	_180
	.long	97
	.long	4
	.align	4
_327:
	.long	_180
	.long	98
	.long	4
_422:
	.asciz	"check"
	.align	4
_421:
	.long	3
	.long	0
	.long	2
	.long	_422
	.long	_45
	.long	-8
	.long	0
	.align	4
_334:
	.long	_180
	.long	100
	.long	4
	.align	4
_336:
	.long	_180
	.long	102
	.long	4
	.align	4
_346:
	.long	3
	.long	0
	.long	0
	.align	4
_343:
	.long	_180
	.long	103
	.long	5
	.align	4
_347:
	.long	_180
	.long	106
	.long	4
	.align	4
_370:
	.long	3
	.long	0
	.long	0
	.align	4
_349:
	.long	_180
	.long	107
	.long	5
	.align	4
_357:
	.long	_180
	.long	108
	.long	5
	.align	4
_365:
	.long	_180
	.long	109
	.long	5
	.align	4
_420:
	.long	3
	.long	0
	.long	0
	.align	4
_372:
	.long	_180
	.long	111
	.long	5
	.align	4
_386:
	.long	3
	.long	0
	.long	0
	.align	4
_376:
	.long	_180
	.long	112
	.long	6
	.align	4
_393:
	.long	3
	.long	0
	.long	0
	.align	4
_388:
	.long	_180
	.long	114
	.long	6
	.align	4
_394:
	.long	_180
	.long	116
	.long	5
	.align	4
_402:
	.long	_180
	.long	117
	.long	5
	.align	4
_412:
	.long	_180
	.long	118
	.long	5
	.align	4
_442:
	.long	1
	.long	_61
	.long	2
	.long	_195
	.long	_45
	.long	-4
	.long	2
	.long	_212
	.long	_34
	.long	-8
	.long	0
	.align	4
_424:
	.long	_180
	.long	124
	.long	3
	.align	4
_430:
	.long	_180
	.long	125
	.long	3
	.align	4
_434:
	.long	_180
	.long	126
	.long	3
	.align	4
_441:
	.long	3
	.long	0
	.long	0
	.align	4
_438:
	.long	_180
	.long	127
	.long	4
	.align	4
_450:
	.long	1
	.long	_62
	.long	2
	.long	_195
	.long	_45
	.long	-4
	.long	0
	.align	4
_443:
	.long	_180
	.long	132
	.long	3
	.align	4
_446:
	.long	_180
	.long	134
	.long	3
	.align	4
_451:
	.long	1
	.long	_63
	.long	2
	.long	_195
	.long	_45
	.long	-4
	.long	0
	.align	4
_452:
	.long	1
	.long	_65
	.long	2
	.long	_195
	.long	_45
	.long	-4
	.long	0
	.align	4
_505:
	.long	1
	.long	_66
	.long	2
	.long	_195
	.long	_45
	.long	-4
	.long	0
	.align	4
_453:
	.long	_180
	.long	147
	.long	3
	.align	4
_469:
	.long	3
	.long	0
	.long	0
	.align	4
_457:
	.long	_180
	.long	149
	.long	4
	.align	4
_478:
	.long	3
	.long	0
	.long	0
	.align	4
_471:
	.long	_180
	.long	153
	.long	4
	.align	4
_479:
	.long	_180
	.long	157
	.long	3
	.align	4
_495:
	.long	3
	.long	0
	.long	0
	.align	4
_483:
	.long	_180
	.long	159
	.long	4
	.align	4
_504:
	.long	3
	.long	0
	.long	0
	.align	4
_497:
	.long	_180
	.long	163
	.long	4
	.align	4
_540:
	.long	1
	.long	_67
	.long	2
	.long	_195
	.long	_45
	.long	-4
	.long	0
	.align	4
_506:
	.long	_180
	.long	168
	.long	3
	.align	4
_521:
	.long	3
	.long	0
	.long	0
	.align	4
_518:
	.long	_180
	.long	169
	.long	4
	.align	4
_539:
	.long	3
	.long	0
	.long	0
	.align	4
_523:
	.long	_180
	.long	170
	.long	8
	.align	4
_538:
	.long	3
	.long	0
	.long	0
	.align	4
_535:
	.long	_180
	.long	171
	.long	4
	.align	4
_629:
	.long	1
	.long	_68
	.long	2
	.long	_195
	.long	_45
	.long	-4
	.long	2
	.long	_422
	.long	_45
	.long	-8
	.long	0
	.align	4
_541:
	.long	_180
	.long	176
	.long	3
	.align	4
_545:
	.long	_180
	.long	177
	.long	3
	.align	4
_548:
	.long	_180
	.long	178
	.long	3
	.align	4
_558:
	.long	3
	.long	0
	.long	0
	.align	4
_555:
	.long	_180
	.long	179
	.long	4
	.align	4
_559:
	.long	_180
	.long	181
	.long	3
	.align	4
_590:
	.long	3
	.long	0
	.long	0
	.align	4
_561:
	.long	_180
	.long	182
	.long	4
	.align	4
_569:
	.long	_180
	.long	183
	.long	4
	.align	4
_577:
	.long	_180
	.long	184
	.long	4
	.align	4
_585:
	.long	_180
	.long	185
	.long	4
	.align	4
_628:
	.long	3
	.long	0
	.long	0
	.align	4
_592:
	.long	_180
	.long	187
	.long	4
	.align	4
_602:
	.long	_180
	.long	188
	.long	4
	.align	4
_612:
	.long	_180
	.long	189
	.long	4
	.align	4
_620:
	.long	_180
	.long	190
	.long	4
	.align	4
_718:
	.long	1
	.long	_69
	.long	2
	.long	_195
	.long	_45
	.long	-4
	.long	2
	.long	_422
	.long	_45
	.long	-8
	.long	0
	.align	4
_630:
	.long	_180
	.long	195
	.long	3
	.align	4
_634:
	.long	_180
	.long	196
	.long	3
	.align	4
_637:
	.long	_180
	.long	197
	.long	3
	.align	4
_647:
	.long	3
	.long	0
	.long	0
	.align	4
_644:
	.long	_180
	.long	198
	.long	4
	.align	4
_648:
	.long	_180
	.long	200
	.long	3
	.align	4
_679:
	.long	3
	.long	0
	.long	0
	.align	4
_650:
	.long	_180
	.long	201
	.long	4
	.align	4
_658:
	.long	_180
	.long	202
	.long	4
	.align	4
_666:
	.long	_180
	.long	203
	.long	4
	.align	4
_674:
	.long	_180
	.long	204
	.long	4
	.align	4
_717:
	.long	3
	.long	0
	.long	0
	.align	4
_681:
	.long	_180
	.long	206
	.long	4
	.align	4
_691:
	.long	_180
	.long	207
	.long	4
	.align	4
_701:
	.long	_180
	.long	208
	.long	4
	.align	4
_709:
	.long	_180
	.long	209
	.long	4
	.align	4
_720:
	.long	1
	.long	_70
	.long	2
	.long	_195
	.long	_45
	.long	-4
	.long	0
	.align	4
_719:
	.long	_180
	.long	214
	.long	3
	.align	4
_885:
	.long	0x0
	.align	4
_722:
	.long	1
	.long	_72
	.long	2
	.long	_195
	.long	_45
	.long	-4
	.long	0
	.align	4
_721:
	.long	_180
	.long	218
	.long	3
	.align	4
_724:
	.long	1
	.long	_73
	.long	2
	.long	_195
	.long	_45
	.long	-4
	.long	0
	.align	4
_723:
	.long	_180
	.long	222
	.long	3
	.align	4
_726:
	.long	1
	.long	_74
	.long	2
	.long	_195
	.long	_45
	.long	-4
	.long	0
	.align	4
_725:
	.long	_180
	.long	226
	.long	3
	.align	4
_728:
	.long	1
	.long	_75
	.long	2
	.long	_195
	.long	_45
	.long	-4
	.long	0
	.align	4
_727:
	.long	_180
	.long	230
	.long	3
_730:
	.asciz	"pLookAhead"
	.align	4
_729:
	.long	1
	.long	_76
	.long	2
	.long	_195
	.long	_45
	.long	-4
	.long	2
	.long	_730
	.long	_31
	.long	-8
	.long	0
_733:
	.asciz	"pSpeed"
_734:
	.asciz	"pLength"
	.align	4
_732:
	.long	1
	.long	_78
	.long	2
	.long	_195
	.long	_45
	.long	-4
	.long	2
	.long	_733
	.long	_34
	.long	-8
	.long	2
	.long	_304
	.long	_34
	.long	-12
	.long	2
	.long	_734
	.long	_34
	.long	-16
	.long	0
	.align	4
_731:
	.long	_180
	.long	237
	.long	3
	.align	4
_736:
	.long	1
	.long	_80
	.long	2
	.long	_195
	.long	_45
	.long	-4
	.long	0
	.align	4
_735:
	.long	_180
	.long	241
	.long	3
_738:
	.asciz	"pSlope"
	.align	4
_737:
	.long	1
	.long	_81
	.long	2
	.long	_195
	.long	_45
	.long	-4
	.long	2
	.long	_738
	.long	_34
	.long	-8
	.long	0
_740:
	.asciz	"pInTunnel"
	.align	4
_739:
	.long	1
	.long	_82
	.long	2
	.long	_195
	.long	_45
	.long	-4
	.long	2
	.long	_740
	.long	_31
	.long	-8
	.long	0
